Definition of attribute transfer handlers (both get and set)

## Macros

#define | FLEXT_CALLVAR_F(GFUN, SFUN)
| Declare both get and set functions for a float attribute.
#define | FLEXT_CALLVAR_I(GFUN, SFUN)
| Declare both get and set functions for an integer attribute.
#define | FLEXT_CALLVAR_S(GFUN, SFUN)
| Declare both get and set functions for a symbol attribute.
#define | FLEXT_CALLVAR_B(GFUN, SFUN)
| Declare both get and set functions for a boolean attribute.
#define | FLEXT_CALLVAR_E(GFUN, SFUN, TP)
| Declare both get and set functions for an enum attribute.
#define | FLEXT_CALLVAR_V(GFUN, SFUN)
| Declare both get and set functions for a variable list attribute.

## Detailed Description

## Macro Definition Documentation

## FLEXT_CALLVAR_B

#define FLEXT_CALLVAR_B | ( |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
FLEXT_CALLGET_B(GFUN) FLEXT_CALLSET_B(SFUN)
FLEXT_CALLSET_B
#define FLEXT_CALLSET_B(SFUN)
Declare a set function for a boolean attribute.
Definition fldefs_attrcb.h:51
FLEXT_CAST
#define FLEXT_CAST
Switch for compilation of derived virtual classes.
Definition fldefs.h:27

Declare both get and set functions for a boolean attribute.

## FLEXT_CALLVAR_E

#define FLEXT_CALLVAR_E | ( |  | GFUN,
|  |  | SFUN,
|  |  | TP
| ) |  |

Value:
\
FLEXT_CALLGET_E(GFUN,TP) FLEXT_CALLSET_E(SFUN,TP)
FLEXT_CALLSET_E
#define FLEXT_CALLSET_E(SFUN, TP)
Declare a set function for an enum attribute.
Definition fldefs_attrcb.h:60

Declare both get and set functions for an enum attribute.

## FLEXT_CALLVAR_F

#define FLEXT_CALLVAR_F | ( |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
FLEXT_CALLGET_F(GFUN) FLEXT_CALLSET_F(SFUN)
FLEXT_CALLSET_F
#define FLEXT_CALLSET_F(SFUN)
Declare a set function for a float attribute.
Definition fldefs_attrcb.h:41

Declare both get and set functions for a float attribute.

## FLEXT_CALLVAR_I

#define FLEXT_CALLVAR_I | ( |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
FLEXT_CALLGET_I(GFUN) FLEXT_CALLSET_I(SFUN)
FLEXT_CALLSET_I
#define FLEXT_CALLSET_I(SFUN)
Declare a set function for an integer attribute.
Definition fldefs_attrcb.h:46

Declare both get and set functions for an integer attribute.

## FLEXT_CALLVAR_S

#define FLEXT_CALLVAR_S | ( |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
FLEXT_CALLGET_S(GFUN) FLEXT_CALLSET_S(SFUN)
FLEXT_CALLSET_S
#define FLEXT_CALLSET_S(FUN)
Declare a set function for a symbol attribute.
Definition fldefs_attrcb.h:65

Declare both get and set functions for a symbol attribute.

## FLEXT_CALLVAR_V

#define FLEXT_CALLVAR_V | ( |  | GFUN,
|  |  | SFUN
| ) |  |

Value:
\
FLEXT_CALLGET_V(GFUN) FLEXT_CALLSET_V(SFUN)
FLEXT_CALLSET_V
#define FLEXT_CALLSET_V(FUN)
Declare a set function for a variable list attribute.
Definition fldefs_attrcb.h:70

Declare both get and set functions for a variable list attribute.